Do not install r2-indent or r2-docker

Only symlink them because require access to the source directory.

Eventually we may provide proper packages via r2pm
Fix #8679 by removing the strlen check
Fix #8679 by removing the strlen check
Fix #8679 by removing the strlen check
Fix #8679 by removing the strlen check
